<html xmlns:f="http://xsd.helmut-hummel.de/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:v="http://typo3.org/ns/FluidTYPO3/Vhs/ViewHelpers"
      data-namespace-typo3-fluid="true">

	<f:section name="MenuRecursionStep">
		<f:if condition="{currentPage.hasSubPages}">
			<v:page.menu pageUid="{currentPage.uid}">
				<f:if condition="{menu}">
					<ul class="sub-menu" aria-labelledby="navbarDropdown">
						<f:for each="{menu}" as="currentSubPage">
							<li class="nav-item {startLevelPage.class}">
								<v:page.link class="nav-link {currentSubPage.class}" pageUid="{currentSubPage.uid}"  />
								<f:render section="MenuRecursionStep" arguments="{currentPage: '{currentSubPage}'}" />
							</li>
						</f:for>
					</ul>
				</f:if>
			</v:page.menu>
		</f:if>
	</f:section>

	<f:section name="MenuRecursionStart">
		<v:page.menu pageUid="{recursionStartPageUid}">
			<f:if condition="{menu}">
				<ul class="navbar-nav text-center">
					<f:for each="{menu}" as="startLevelPage">								
						<li class="nav-item {startLevelPage.class} {f:if(condition: startLevelPage.hasSubPages, then: 'hasSub')} {f:if(condition: startLevelPage.active, then: 'active')}">
							<f:if condition="{v:condition.string.contains(then: 1, haystack: startLevelPage.url, needle: '#')}">
							  <f:then>
							    <a class="nav-link" href="{startLevelPage.url}">{startLevelPage.title}</a>
							  </f:then>
							  <f:else>
							    <v:page.link class="nav-link" pageUid="{startLevelPage.uid}"  />
								<f:render section="MenuRecursionStep" arguments="{currentPage: '{startLevelPage}'}"/>
							  </f:else>
							</f:if>
						</li>
					</f:for>
				</ul>
			</f:if>
		</v:page.menu>
	</f:section>
</html>